=== debian/control ===
Source: node-tldts
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends:
 debhelper-compat (= 13)
 , dh-sequence-nodejs
 , dh-nodejs
 , chai
 , mocha
 , node-istanbul <!nocheck>
 , node-rollup-plugin-node-resolve
 , node-rollup-plugin-sourcemaps
 , node-rollup-plugin-terser
 , node-rollup-plugin-typescript
 , node-typescript
 , node-types-punycode
 , rollup
 , ts-node
Standards-Version: 4.7.2
Homepage: https://github.com/remusao/tldts#readme
Vcs-Git: https://salsa.debian.org/js-team/node-tldts.git
Vcs-Browser: https://salsa.debian.org/js-team/node-tldts
Rules-Requires-Root: no

Package: node-tldts
Architecture: all
Depends: ${misc:Depends}
 , node-tldts-core
 , nodejs:any
Description: JavaScript library to extract fields from URLs
 node-tldts is a JavaScript library to extract hostnames, domains, public
 suffixes, top-level domains and subdomains from URLs.
 .
 It's tuned for performane, handles both URLs and hostnames, supports full
 Unicode/IDNA, can parse email addresses, detects IPv4 and IPv6 addresses,
 has small bundles and small memory footprint and is fully tested.

Package: node-tldts-core
Architecture: all
Depends: ${misc:Depends}
Description: core building blocks of tldts
 node-tldts is a JavaScript library to extract hostnames, domains, public
 suffixes, top-level domains and subdomains from URLs.
 .
 node-tldts-core provides common libraries for node-tldts and
 node-tldts-experimental

Package: node-tldts-experimental
Architecture: all
Depends: ${misc:Depends}
 , node-tldts-core
Description: Faster, experimental, unstable version of node-tldts
 node-tldts is a JavaScript library to extract hostnames, domains, public
 suffixes, top-level domains and subdomains from URLs.
 .
 node-tldts-experimental exposes the exact same API and is subjected to the
 same tests as node-tldts, but offers a different trade-off in terms of
 space, speed and accuracy.

Package: node-tldts-icann
Architecture: all
Depends: ${misc:Depends}
 , node-tldts-core
Description: Minimal implementation of node-tldts
 node-tldts is a JavaScript library to extract hostnames, domains, public
 suffixes, top-level domains and subdomains from URLs.
 .
 node-tldts-icann only contains the ICANN section of node-tldts.

Package: node-tldts-tests
Architecture: all
Depends: ${misc:Depends}
 , chai
 , mocha
Description: Common implementation for tests, used by different node-tldts*
 node-tldts is a JavaScript library to extract hostnames, domains, public
 suffixes, top-level domains and subdomains from URLs.
 .
 node-tldts-tests provide a common implementation for tests, used by different
 tldts implementations (node-tldts and node-tldts-experimental at the moment).

Package: node-tldts-utils
Architecture: all
Depends: ${misc:Depends}
 , node-punycode
Description: Common utils used internally in tldts
 node-tldts is a JavaScript library to extract hostnames, domains, public
 suffixes, top-level domains and subdomains from URLs.
 .
 Common utils used internally in tldts to parse public suffix rules and update
 internal data structures.
