=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	tsc --build ./tsconfig.project.json
	set -e; for i in packages/tldts-core packages/tldts-utils packages/tldts-tests packages/tldts packages/tldts-experimental packages/tldts-icann; do \
		(echo "# $$i"; \
			cd $$i && \
			pkgjs-run build && \
			pkgjs-run bundle && \
			echo '{"type":"commonjs"}' > dist/cjs/package.json && \
			echo '{"type":"module"}' > dist/es6/package.json \
		); \
	done

execute_after_dh_installdocs:
	dh_nodejs_autodocs auto_dispatch
