=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.+\/v?(\d\S+)@ARCHIVE_EXT@/tldts-$1\.tar\.gz/ \
 https://github.com/remusao/tldts/tags .*/v?(\d\S+)\.tar\.gz
